/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "about.h"

void show_about_dialog()
{
  Gtk::AboutDialog *dialog = new Gtk::AboutDialog();
  
  vector<string> authors;
  authors.push_back("Andrew Krause <andrew openldev org>");
  authors.push_back("");
  authors.push_back("Contributors:");
  authors.push_back("  Jarmo Hekkanen <jarski 2ndpoint fi>");
  
  Glib::RefPtr<Gdk::Pixbuf> pixbuf = Gdk::Pixbuf::create_from_file(string(INSTALL_PREFIX) + "/share/pixmaps/openldev/openldev48.png");
  pixbuf = pixbuf->scale_simple(96, 96, Gdk::INTERP_BILINEAR);
  
  Glib::ustring license = "This program is free software; you can redistribute it and/or modify\n"
      "it under the terms of the GNU General Public License as published by\n"
      "the Free Software Foundation; either version 2 of the License, or\n"
      "(at your option) any later version.\n\n"
      "This program is distributed in the hope that it will be useful,\n"
      "but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
      "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
      "GNU General Public License for more details.\n\n"
      "You should have received a copy of the GNU General Public License\n"
      "along with this program; if not, write to the\n"
      "Free Software Foundation, Inc.,\n"
      "59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.";
  
  dialog->set_logo(pixbuf);
  dialog->set_comments("Integrated Development Environment");
  dialog->set_authors(authors);
  dialog->set_copyright("(c) 2004-2005 Andrew Krause");
  dialog->set_license(license);
  dialog->set_name("OpenLDev");
  dialog->set_version(VERSION);
  dialog->set_website("http://www.openldev.org");
  dialog->show();
  
  license = "";
}
