/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "findtoolbar.h"

FindToolbar::FindToolbar()
{
  // Create Horizontal Find 'Toolbar'
  label_find = new Gtk::Label("Search: ");
  label_error = new Gtk::Label("Text not found!");
  find_text = new Gtk::Entry();
  image_close = new Gtk::Image(Gtk::StockID("gtk-stop"), Gtk::IconSize(1));
  button_find = new Gtk::Button(Gtk::StockID("gtk-find"));
  button_replace = new Gtk::Button(Gtk::StockID("gtk-find-and-replace"));
  button_close = new Gtk::Button();
  image_error = new Gtk::Image(Gtk::StockID("gtk-dialog-error"), Gtk::IconSize(1));
  search_files = new Gtk::CheckButton("Search in all files");
  
  // Create the buttons
	button_close->set_relief(Gtk::RELIEF_NONE);
	button_close->add(*image_close);
  button_find->set_relief(Gtk::RELIEF_NONE);
  button_replace->set_relief(Gtk::RELIEF_NONE);
  search_files->set_active(false);
  
  // Add the widgets to the horizontal box
  set_spacing(5);
  set_border_width(3);
  pack_start(*button_close, Gtk::PACK_SHRINK);
  pack_start(*label_find, Gtk::PACK_SHRINK);
  pack_start(*find_text, Gtk::PACK_SHRINK);
  pack_start(*button_find, Gtk::PACK_SHRINK, 5);
  pack_start(*button_replace, Gtk::PACK_SHRINK);
  pack_start(*search_files, Gtk::PACK_SHRINK, 5);
  pack_start(*image_error, Gtk::PACK_SHRINK);
  pack_start(*label_error, Gtk::PACK_SHRINK);
}
  
void FindToolbar::show_error (bool show)
{
  if (show)
  {
    label_error->show();
    image_error->show();
  }
  else
  {
    label_error->hide();
    image_error->hide();
  }
}

bool FindToolbar::search_files_is_active()
{ return search_files->get_active();
}

Gtk::Button* FindToolbar::get_close()
{ return button_close;
}

Gtk::Button* FindToolbar::get_find()
{ return button_find;
}

Gtk::Button* FindToolbar::get_replace()
{ return button_replace;
}

Gtk::Entry* FindToolbar::get_text()
{ return find_text;
}
