/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PROJECT_INFO_H
#define PROJECT_INFO_H

#include "project.h"
#include "template.h"

#include <gtkmm/button.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/liststore.h>
#include <gtkmm/treeview.h>
#include <libglademm/xml.h>

class ProjectInfoDialog
{
public:
  class ModelColumnsInfo : public Gtk::TreeModel::ColumnRecord
  {
  public:
    ModelColumnsInfo()  {  add(col_statistic);  add(col_value); }
    Gtk::TreeModelColumn<Glib::ustring> col_statistic, col_value;
  };  

public:
  ProjectInfoDialog (ProjectSettings*, ProjectTemplate*);
  ~ProjectInfoDialog();

  Gtk::Dialog* get_dialog();
  void initialize_objects ();

  Glib::ustring get_number_of_files(Glib::ustring);
  Glib::ustring get_lines_of_code(Glib::ustring, Glib::ustring);

private:
  Gtk::Button *close;
  Gtk::Dialog *dialog;
  Gtk::TreeView *treeview;
};

#endif
