/***************************************************************************
 *   Copyright (C) 2005 by Andrew Krause                                   *
 *   Based on work by The gtkmm Development Team                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "sourcelanguage.h"
#include "private/sourcelanguage_p.h"

#include <gtksourceview/gtksourceview.h>

namespace Glib
{
  Glib::RefPtr <Gtk::SourceLanguage> wrap(GtkSourceLanguage* object, bool take_copy)
  { return Glib::RefPtr<Gtk::SourceLanguage>( new Gtk::SourceLanguage (GTK_SOURCE_LANGUAGE ((GObject*)(object))));
  }
}

namespace Gtk
{
  const Glib::Class& SourceLanguage_Class::init()
  {
    if (!gtype_)
    {
      class_init_func_ = &SourceLanguage_Class::class_init_function;
      register_derived_type(gtk_source_language_get_type());
    }
    return *this;
  }

  void SourceLanguage_Class::class_init_function(void* g_class, void* class_data)
  {
    BaseClassType *const klass = static_cast<BaseClassType*>(g_class);
    CppClassParent::class_init_function(klass, class_data);
  }


  Glib::ObjectBase* SourceLanguage_Class::wrap_new (GObject* o)
  { return new SourceLanguage((GtkSourceLanguage*)(o));
  }

  SourceLanguage::SourceLanguage(const Glib::ConstructParams& construct_params)
                : Glib::Object(construct_params)
  {
  }

  SourceLanguage::SourceLanguage(GtkSourceLanguage* castitem)
                : Glib::Object((GObject*)(castitem))
  {
  }

  SourceLanguage::~SourceLanguage()
  {
  }

  SourceLanguage::CppClassType SourceLanguage::sourcelanguage_class_;

  GType SourceLanguage::get_type()
  { return sourcelanguage_class_.init().get_type();
  }

  GType SourceLanguage::get_base_type()
  { return gtk_source_language_get_type();
  }

  SourceLanguage::SourceLanguage()
                : Glib::ObjectBase(0),
                  Glib::Object(Glib::ConstructParams(sourcelanguage_class_.init()))
  {
  }
}
